%define name		gbuild
%define version		0.6
%define release		3
%define prefix		/usr
%define sysconfdir	/etc

Summary: A tool for automating the build process for code updates from CVS.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Tools
Source: http://www.cryon.com/gbuild/gbuild-0.6.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Gbuild is a script written to simplify package maintenance. It allows
you to automate the build process when you're checking out code from
CVS: compiling the code and then building tar files, RPMs, and
SRPMs. The script is written in the /bin/sh (Bourne) shell language
for wide compatibility with most system setups. External scripts which
certain functions of gbuild depend on are written in Perl.  Gbuild has
been tested and used primarily with the GNOME project, and it provides
powerful interaction with the autoconf/automake family of tools. All
options can be input from the command line at run time, or in a
configuration file.

Some of the options available include support for compiling code
outside of the downloaded cvs tree, checking out or updating code with
specific options, compile time options, and log files. All options are
configurable on a global or package specific basis.

Install gbuild if you need to automate the build process for code
updates from CVS.

%prep
%setup -q

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" \
	./autogen.sh $ARCH_FLAGS \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir}
else
  CFLAGS="$RPM_OPT_FLAGS" \
	./configure $ARCH_FLAGS \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir}
fi

%build
make

%install
make \
	prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc NEWS
%doc INSTALL
%doc ChangeLog
%doc COPYING
%doc AUTHORS
%config %{prefix}/share/gbuild/gbuildrc
%{prefix}/bin/autospec
%{prefix}/bin/gbuild
%{prefix}/bin/gbuild-config
%{prefix}/bin/geninstallfiles
%{prefix}/share/gbuild/PARTS
%{prefix}/share/gbuild/README
%{prefix}/share/gbuild/log/
%{prefix}/share/gbuild/rpm/
%{prefix}/share/gbuild/spec/
%{prefix}/share/gbuild/srpm/
%{prefix}/share/gbuild/tar/

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Jul 14 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
